6.0.0-git
2019-10-23

[#8389] saveAsNew copy the attendees status
Summary saveAsNew copy the attendees status
Queue Kronolith
Queue Version 2.3.1
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester patrick.abiven (at) apitech (dot) fr
Created 2009-06-29 (3768 days ago)
Due
Updated 2011-02-10 (3177 days ago)
Assigned
Resolved
Milestone
Patch No

History
2011-02-10 15:07:50 patrick (dot) abiven (at) apitech (dot) fr Comment #4 Reply to this comment
Hello
For reseting the attendees response status, we modified 
kronolith/lib/Driver.php, function readForm ()

            if ( Util::getFormData ('saveAsNew') ) {
                 foreach ($_SESSION['kronolith']['attendees'] as $key => $val)
                 {
                     
$_SESSION['kronolith']['attendees'][$key]['response'] = 
KRONOLITH_RESPONSE_NONE;
                 }
             }


2009-10-01 22:02:34 Jan Schneider State ⇒ Accepted
 
2009-07-11 17:18:02 Jan Schneider Comment #3
State ⇒ Feedback
Reply to this comment
It doesn't make that much sense to me. The attendees would get a 
notification about exactly the same event that they already replied 
to, if we notify them on copying. At least if the user editing the 
event doesn't change anything at the same time. The only thing that 
would make sense to me is to reset the attendee status, and use the 
notification checkbox like with any other event editing.
2009-06-29 15:59:27 Chuck Hagenbuch Comment #2
State ⇒ Accepted
Reply to this comment
That makes sense to me.
2009-06-29 15:48:48 patrick (dot) abiven (at) apitech (dot) fr Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ saveAsNew copy the attendees status
Queue ⇒ Kronolith
Milestone ⇒
Patch ⇒ No
Reply to this comment
Hello

The button saveAsNew provides a full copy of the event. The attendees 
list and acceptance status are copied to the new event. Instead of 
copying the acceptance status, should we not send invitation mail to 
the attendees ?

Regards

Patrick

Saved Queries